Loading...
Searching...
No Matches
u_exact

## Detailed Description

Examples
  burgers_diffusion_error.cc, burgers_diffusion_exact.h, combustion_error.cc, combustion_exact.icc, commute_rtd.cc, commute_rtd_error.cc, cosinus_vector.h, cosinusprod.h, cosinusprod_dirichlet.h, cosinusprod_error.cc, cosinusprod_error_dg.cc, cosinusprod_error_hdg.cc, cosinusprod_error_hdg_average.cc, cosinusprod_post_dg.cc, cosinusrad.h, cosinusrad_error.cc, elasticity_taylor_error_dg.cc, harten.h, helmholtz_s_error.cc, navier_stokes_taylor_error_dg.cc, p_laplacian_circle.h, p_laplacian_error.cc, reconstruction_hho.cc, reconstruction_hho_check.cc, reconstruction_hho_v2.cc, sinusprod.h, sinusprod_dirichlet.h, sinusprod_error.cc, sinusprod_error_dg.cc, sinusprod_error_hdg.cc, sinusprod_error_hdg_average.cc, sinusprod_error_hho_reconstruction.cc, sinusprod_laplace.h, sinusrad.h, sinusrad_error.cc, sphere.icc, stokes_taylor_error_dg.cc, taylor_exact.h, and torus.icc.

Definition at line 125 of file interpolate_RTk_polynom.icc.

## Public Member Functions

point | operator() (const point &x) const
Float | div (const point &x) const
| u_exact (size_t d1, Float w1=acos(Float(-1)))
Float | operator() (const point &x) const
| u_exact (Float e1, Float t1=0)
Float | M () const
Float | operator() (const point &x) const
| u_exact (Float lambda, bool is_upper)
| u_exact (Float a1)
point | operator() (const point &x) const
| u_exact (size_t d)
Float | operator() (const point &x) const
| u_exact (size_t d1)
Float | operator() (const point &x) const
| u_exact (size_t=0)
Float | operator() (const point &x) const
| u_exact (Float q)
Float | operator() (const point &x) const
| u_exact (size_t d1=0)
Float | operator() (const point &x) const
| u_exact (size_t=0)
Float | operator() (const point &x) const
| u_exact (size_t d1)
Float | operator() (const point &x) const
| u_exact (size_t d=3)

## Public Attributes

size_t | d
Float | w
Float | epsilon
Float | t
Float | x0
Float | a
Float | pi
size_t | n

## Protected Attributes

Float | p
f | _f

## Constructor & Destructor Documentation

## u_exact() [1/12]

u_exact | ( | size_t | d1,
|  | Float | w1 = `acos(Float(-1))`
| ) |  |

Definition at line 144 of file interpolate_RTk_polynom.icc.

## u_exact() [2/12]

u_exact | ( | Float | e1,
|  | Float | t1 = `0`
| ) |  |

Definition at line 28 of file burgers_diffusion_exact.h.

## u_exact() [3/12]

u_exact | ( | Float | lambda,
|  | bool | is_upper
| ) |  |

Definition at line 29 of file combustion_exact.icc.

## u_exact() [4/12]

u_exact | ( | Float | a1 | ) |

Definition at line 31 of file combustion_exact.icc.

## u_exact() [5/12]

u_exact | ( | size_t | d | ) |

Definition at line 28 of file cosinus_vector.h.

## u_exact() [6/12]

u_exact | ( | size_t | d1 | ) |

Definition at line 28 of file cosinusprod.h.

## u_exact() [7/12]

u_exact | ( | size_t | = `0` | ) |

Definition at line 29 of file cosinusrad.h.

## u_exact() [8/12]

u_exact | ( | Float | q | ) |

Definition at line 29 of file p_laplacian_circle.h.

## u_exact() [9/12]

u_exact | ( | size_t | d1 = `0` | ) |

Definition at line 34 of file sinusprod.h.

## u_exact() [10/12]

u_exact | ( | size_t | = `0` | ) |

Definition at line 30 of file sinusrad.h.

## u_exact() [11/12]

u_exact | ( | size_t | d1 | ) |

Definition at line 50 of file sphere.icc.

## u_exact() [12/12]

u_exact | ( | size_t | d = `3` | ) |

Definition at line 43 of file torus.icc.

## Member Function Documentation

## operator()() [1/11]

point operator() | ( | const point & | x | ) | const

Examples
  burgers_diffusion_exact.h, combustion_exact.icc, cosinus_vector.h, cosinusprod.h, cosinusrad.h, p_laplacian_circle.h, sinusprod.h, sinusrad.h, sphere.icc, and torus.icc.

Definition at line 126 of file interpolate_RTk_polynom.icc.

## div()

Float div | ( | const point & | x | ) | const

Definition at line 135 of file interpolate_RTk_polynom.icc.

## operator()() [2/11]

Float operator() | ( | const point & | x | ) | const

Definition at line 26 of file burgers_diffusion_exact.h.

## M()

Float M | ( |  | ) | const

Examples
  burgers_dg.cc, and burgers_diffusion_exact.h.

Definition at line 29 of file burgers_diffusion_exact.h.

## operator()() [3/11]

Float operator() | ( | const point & | x | ) | const

Definition at line 27 of file combustion_exact.icc.

## operator()() [4/11]

point operator() | ( | const point & | x | ) | const

Definition at line 26 of file cosinus_vector.h.

## operator()() [5/11]

Float operator() | ( | const point & | x | ) | const

Definition at line 26 of file cosinusprod.h.

## operator()() [6/11]

Float operator() | ( | const point & | x | ) | const

Definition at line 26 of file cosinusrad.h.

## operator()() [7/11]

Float operator() | ( | const point & | x | ) | const

Definition at line 26 of file p_laplacian_circle.h.

## operator()() [8/11]

Float operator() | ( | const point & | x | ) | const

Definition at line 26 of file sinusprod.h.

## operator()() [9/11]

Float operator() | ( | const point & | x | ) | const

Definition at line 26 of file sinusrad.h.

## operator()() [10/11]

Float operator() | ( | const point & | x | ) | const

Definition at line 46 of file sphere.icc.

## operator()() [11/11]

Float operator() | ( | const point & | x | ) | const

Definition at line 38 of file torus.icc.

## Member Data Documentation

## d

size_t d

Examples
  cosinus_vector.h, cosinusprod.h, sinusprod.h, sphere.icc, and torus.icc.

Definition at line 145 of file interpolate_RTk_polynom.icc.

## w

Float w

Examples
  cosinus_vector.h.

Definition at line 145 of file interpolate_RTk_polynom.icc.

## epsilon

Float epsilon

Examples
  burgers_diffusion_exact.h.

Definition at line 30 of file burgers_diffusion_exact.h.

## t

Float t

Examples
  burgers_diffusion_exact.h.

Definition at line 30 of file burgers_diffusion_exact.h.

## x0

Float x0

Examples
  burgers_diffusion_exact.h.

Definition at line 30 of file burgers_diffusion_exact.h.

## a

Float a

Examples
  combustion_exact.icc, and cosinusrad.h.

Definition at line 32 of file combustion_exact.icc.

## pi

Float pi

Examples
  cosinusprod.h, and sinusprod.h.

Definition at line 29 of file cosinusprod.h.

## p

Float p

protected

Examples
  p_laplacian_circle.h.

Definition at line 30 of file p_laplacian_circle.h.

## n

size_t n

Examples
  sinusrad.h.

Definition at line 31 of file sinusrad.h.

## _f

f _f

protected

Examples
  sphere.icc.

Definition at line 51 of file sphere.icc.

The documentation for this struct was generated from the following files:

- /build/rheolef-dTNbRN/rheolef-7.2/fem/lib/interpolate_RTk_polynom.icc
- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/burgers_diffusion_exact.h
- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/combustion_exact.icc
- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/cosinus_vector.h
- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/cosinusprod.h
- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/cosinusrad.h
- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/p_laplacian_circle.h
- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/sinusprod.h
- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/sinusrad.h
- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/sphere.icc
- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/torus.icc